
    <nav id="navbar" class=" container-fluid navbar navbar-expand-lg navbar-light bg-dark">
        <div class="container-fluid ">
            <div>
                 <a class="navbar-brand" routerLink="home"><img id = "nav-bar-brand"src = "https://cdnb.artstation.com/p/assets/images/images/009/032/679/medium/sean-o-neill-team-rocket-logo.jpg?1516743259"></a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
            </div>
        <div class="container-fluid collapse navbar-collapse" id="navbarSupportedContent">
            <ul id="logged-out-navbar" class="navbar-nav me-auto mb-2 mb-lg-0 " *ngIf="!isLoggedIn" >
                <li class="nav-item ">
                    <a type="button" class="nav-link active" data-bs-toggle="modal" data-bs-target="#loginModal" >Login</a>
                </li>
                <li class="nav-item">
                    <a type="button" class="nav-link active" data-bs-toggle="modal" data-bs-target="#registerModal" >Create Account</a>
                </li>
            </ul>
            <ul id="logged-in-navbar" class="navbar-nav me-auto mb-2 mb-lg-0" *ngIf="isLoggedIn" >
                <li class="nav-item">
                    <a routerLink="user-profile" class="nav-link active dropdown ">{{user.username}}</a>
                </li>
                <li class="nav-item ">
                    <a class="nav-link active" routerLink="battle-station" >Battle Station</a>
                </li>
                <li class="nav-item">
                    <a type="button" class="nav-link active" (click)="logout()">Log out</a>
                </li>
            </ul>
        </div>
        </div>
        
</nav>
